UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQSourceEventULBReceiverInfo Class Reference

UMQ ULB Receiver Info class. This info object is both delivered with a source event and acts as a base class for other ULB source events. In both cases, this object holds information about a ULB receiver. More...

Inheritance diagram for com.latencybusters.lbm.UMQSourceEventULBReceiverInfo:

## Public Member Functions
| UMQSourceEventULBReceiverInfo (int flags, UInt64 regId, uint assignId, uint appSetIdx, String receiver)
| Creates a UMQSourceEventULBReceiverInfo object and initializes fields to the supplied values. More...
int | flags ()
| Get informational flags for this info object. More...
UInt64 | registrationId ()
| Get Registration ID for the receiver. More...
uint | assignmentId ()
| Get Assignment ID for the receiver. More...
uint | applicationSetIndex ()
| Get Application Set Index the receiver is in. More...
String | receiver ()
| Get receivers immediate message target string for the receiver associated with this info object. More...

## Detailed Description

UMQ ULB Receiver Info class. This info object is both delivered with a source event and acts as a base class for other ULB source events. In both cases, this object holds information about a ULB receiver.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.UMQSourceEventULBReceiverInfo | ( | int | flags,
|  | UInt64 | regId,
|  | uint | assignId,
|  | uint | appSetIdx,
|  | String | receiver
| ) |  |

Creates a UMQSourceEventULBReceiverInfo object and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

Parameters

  flags | Informational flags.
  regId | Registration ID of the receiver.
  assignId | The assignment ID of the receiver.
  appSetIdx | The application set index the receiver is in.
  receiver | The receivers immediate message target string.

## Member Function Documentation

uint com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.applicationSetIndex | ( |  | ) |

Get Application Set Index the receiver is in.

Returns
  Application Set Index for the receiver associated with this info object.

uint com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.assignmentId | ( |  | ) |

Get Assignment ID for the receiver.

Returns
  Assignment ID for the receiver associated with this info object.

int com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.flags | ( |  | ) |

Get informational flags for this info object.

Returns
  Flags.

String com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.receiver | ( |  | ) |

Get receivers immediate message target string for the receiver associated with this info object.

Returns
  Receivers immediate message target string for the receiver associated with this info object.

References com.latencybusters.lbm.LBM.UMQ_ULB_MAX_RECEIVER_STRLEN.

UInt64 com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.registrationId | ( |  | ) |

Get Registration ID for the receiver.

Returns
  Registration ID for the receiver associated with this info object.

The documentation for this class was generated from the following file:

- UMQSourceEventULBReceiverInfo.cs